## Page building blocks for the new WordPress editor.

Atomic Blocks is a collection of content blocks for the new [Gutenberg block editor](https://atomicblocks.com/beginners-guide-gutenberg/?utm_source=WP.org%20Description%20Gberg%20Link&utm_campaign=wporg_desc_gberg_link). Blocks are chunks of content such as paragraphs, images, galleries, columns, and more. Building blocks give you more control to quickly create and launch any kind of site you want!

Atomic Blocks is in active development and may not be suitable for some production sites. Because the new editor is still in production, breaking changes could be expected. Feel free to follow along and [contribute](https://github.com/ArrayHQ/atomic-blocks) to the development.

## Atomic Blocks currently includes the following blocks:

* Post Grid Block
* Testimonial Block
* Inline Notice Block
* Accordion Block
* Share Icons Block
* Call-To-Action Block
* Customizable Button Block
* Spacer & Divider Block
* Author Profile Block
* Drop Cap Block

## Atomic Blocks Help File

We've created a handy help file that you can [check out here](https://atomicblocks.com/plugin-help-file/?utm_source=WP.org%20AB%20Help%20File&utm_campaign=wporg_ab_help_file). The help file covers how to setup the plugin and get started with the blocks. 

The help file is also available in the plugin once activated. Click the Atomic Blocks admin menu item to visit the Getting Started page.

[View the plugin help file](https://atomicblocks.com/plugin-help-file/?utm_source=WP.org%20AB%20Help%20File&utm_campaign=wporg_ab_help_file)

## Atomic Blocks WordPress Theme

We've created a beautiful little WordPress theme to help you get started with the Atomic Blocks plugin and the new WordPress block editor. The theme integrates seamlessly with the blocks you'll find in the plugin!

* [Atomic Blocks Theme Demo](https://preview.arraythemes.com/atomicblocks/?utm_source=WP.org%20AB%20Theme%20Demo%20Link&utm_campaign=wporg_ab_theme_demo_link)
* [Download the Atomic Blocks Theme](https://atomicblocks.com/?utm_source=WP.org%20AB%20Page&utm_campaign=wporg_ab_page)
* [View the theme help file](https://atomicblocks.com/theme-help-file/?utm_source=WP.org%20AB%20Theme%20Help%20File%20Link&utm_campaign=wporg_ab_theme_help_link)

## Follow Along:

* [Visit the Atomic Blocks site](https://atomicblocks.com/?utm_source=WP.org%20AB%20Page&utm_campaign=wporg_ab_page)
* [Subscribe to the newsletter](https://atomicblocks.com/subscribe?utm_source=WP.org%20AB%20Subscribe&utm_campaign=wporg_ab_subscribe)
* [Follow on Twitter](https://twitter.com/atomicblocks)
* [Contribute on Github](https://github.com/ArrayHQ/atomic-blocks)
* [Visit Array Themes](https://arraythemes.com/?utm_source=WP.org%20Array%20Link&utm_campaign=wporg_array_link)
* [Create-Guten-Block](https://github.com/ahmadawais/create-guten-block)

## Installation

This plugin can be installed directly from your site.

1. Log in and navigate to _Plugins &rarr; Add New_.
2. Type "Atomic Blocks" into the Search and hit Enter.
3. Locate the Atomic Blocks plugin in the list of search results and click **Install Now**.
4. Once installed, click the Activate link.
5. You will be redirected to the Atomic Blocks Getting Started page.

It can also be installed manually.

1. Download the Atomic Blocks plugin from WordPress.org.
2. Unzip the package and move to your plugins directory.
3. Log into WordPress and navigate to the Plugins screen.
4. Locate Atomic Blocks in the list and click the *Activate* link.
5. You will be redirected to the Atomic Blocks Getting Started page.    

## Frequently Asked Questions

**Can Atomic Blocks be used with any theme?**

Yes, you can use Atomic Blocks with any theme, but we recommend using our [Atomic Blocks](https://atomicblocks.com/?utm_source=WP.org%20AB%20Page&utm_campaign=wporg_ab_page) theme for the best presentation. The Atomic Blocks theme has beautiful styles built in specifically for these blocks.

[Get the Atomic Blocks theme](https://atomicblocks.com/?utm_source=WP.org%20AB%20Theme%20Link&utm_campaign=wporg_ab_theme_link)

**Do I need Gutenberg to use Atomic Blocks?**

Yes, you will need to install the [Gutenberg plugin](https://wordpress.org/plugins/gutenberg/) to use Atomic Blocks. Eventually, Gutenberg (the block editor) will be merged into WordPress and you won't need the plugin.

## Changelog

**1.2.0**
* Fix fatal error in last update. 

**1.1.9**
* Add Post Grid Block.
* Add improvements for Gutenberg 3.0.
* Clean up existing blocks.

**1.1.8**
* Improve margins for blocks in editor.
* Fix quirks in the drop cap block.

**1.1.7**
* Remove unnecessary isSelected from controls. 
* Fix undefined post bug.
* Move components to wp.editor.
* Improve styles for URL input on button block.

**1.1.6**
* Rename array_social_icon_footer_script() to atomic_blocks_social_icon_footer_script().

**1.1.5**
* Improved the color palettes for changes that happened in Gutenberg 2.8.

**1.1.4**
* Add the sharing icons block.

**1.1.3**
* Replace props.focus with isSelected for Gutenberg 2.8.0.

**1.1.2**
* Refactor the CTA block.
* Refactor the Author Profile block.

**1.1.1**
* Improve Author Profile block to fix text focus and spacing.

**1.1.0**
* Add Call-To-Action Block.
* Improve wide and full-width styles.

**1.0.9**
* Define PanelBody to fix Drop Cap block error.

**1.0.8**
* Add FontAwesome font library back to Getting Started page.
* Add prefixes to Getting Started page styles to prevent conflicts.

**1.0.7**
* Improve Quick Start box on the Getting Started page.
* Fix issue with FontAwesome not loading on Getting Started page.

**1.0.6**
* Add PanelBody to inspector controls.
* Group social links together in Profile block.

**1.0.5**
* Fix the Button block to remove formatting issue.

**1.0.4**
* Fix the Accordion block bug where outputs don't match.

**1.0.3**
* Add the Accordion block.

**1.0.2**
* Add the Spacer & Divider block.

**1.0.1**
* Add the Customizable Button block.

**1.0**
* Initial release.